Subject: bug#23426: 25.0.93; dired-do-find-regexp doesn't find newline

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 May 2016 20:01:14 +0300

> From: John Wiegley <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 04 May 2016 11:20:31 -0700
> 
> Could it all have happened differently? Sure; but as Eli and Dmitry have said,
> that ship has sailed. It happened under a different maintainer, and so now we
> have to accept what it is and work toward the best solution using this
> technology. It's that, or rip it all out altogether, which Eli assures me
> would be an unfortunate loss of time, energy, and some very nice improvements.

If we will feel free to revert recent decisions just because the
leader who made them stepped down, this will make the leadership
position much less attractive.  Not a good thing for us, as a project.

The record shows that I was one of the first to publish criticism
about the XREF UI, and to some extent about the design of the features
based on it.  That criticism was mostly rejected (although some of it
was used to improve the implementation).  With that decision taken, in
full view of everyone on this list, to me it's what the project as a
whole decided.

That's what I mean by "that ship sailed".

To revert that decision would IMO entail demonstrating, beyond any
doubt, that these features are grossly inefficient, or incapable of
supporting reasonable workflows, and that the flaws are so inherent in
the design as to be beyond repair.

Any other criticism should be in the form of bug reports about
specific problems.  Arguments and "bug reports" in the "Carthago
delenda est" style are explicitly _unhelpful_ and not welcome, and IMO
are simply unfair to the project as a whole.

Let me repeat the rationale for those who somehow missed it: the
decision was to move the tags-* commands to the new infrastructure and
the new API.  As part of that, 'M-,' was rebound to a new xref
command, thus leaving tags-loop-continue without a binding, on the
assumption that tags-loop-continue is no longer important enough to
have a default keybinding.  (That, too, was a conscious decision,
discussed at length here.)  Switching Dired keybindings that invoked
commands which used tags-loop-continue to the new UI is a logical move
on the path to stop using tags-loop-continue and minimize/eliminate
the need for it to have a keybinding.

That is why 'A' and 'Q' in Dired were rebound to new commands that are
based on XREF.  There's no stupidity here, and no ill will; nothing
but a step that follows a decision made by the project leadership not
so long ago.  We should respect that decision, and work together on
improving the features and fixing any issues left.